Множественные уязвимости в ownCloud

Дата публикации:
20.05.2013
Дата изменения:
20.05.2013
Всего просмотров:
1300
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
12
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:L/Au:N/C:P/I:N/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
(AV:N/AC:L/Au:N/C:P/I:N/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:N/A:P/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:5.8/Temporal:4.3
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:10/Temporal:7.4
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:10/Temporal:7.4
CVE ID:
CVE-2013-2039
CVE-2013-2040
CVE-2013-2041
CVE-2013-2042
CVE-2013-2043
CVE-2013-2044
CVE-2013-2045
CVE-2013-2046
CVE-2013-2048
CVE-2013-2085
CVE-2013-2089
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ownCloud 4.x
ownCloud 5.x
Уязвимые версии:
ownCloud версии до 4.0.15
ownCloud версии до 4.5.11
ownCloud версии до 5.0.6

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в сценарии lib/db.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в сценарии lib/bookmarks.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Примечание: Уязвимость обнаружена в версиях до 4.5.11.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "dir" в сценарии apps/files_trashbin/index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

4. Уязвимость существует из-за недостаточной обработки входных данных в сценарии lib/files/view.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе.

5. Уязвимость существует из-за недостаточной обработки входных данных, связанных с медиа приложением. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

6. Уязвимость существует из-за недостаточной обработки входных данных в параметре "tag" в сценарии apps/bookmarks/ajax/editBookmark.php, а также в параметре "dir" в сценарии apps/files/ajax/newfile.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

7. Уязвимость существует из-за недостаточной обработки входных данных в параметре "url" в сценарии apps/bookmarks/ajax/addBookmark.php, а также в параметре "url" в сценарии apps/bookmarks/ajax/editBookmark.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Примечание: Уязвимости #4, #5 и #7 были обнаружены в версиях до 5.0.6, 4.5.11 и 4.0.15.

8. Уязвимость существует из-за ошибки при обработке входных данных в параметре "redirect_url" на странице авторизации при перенаправлении пользователя. Удаленный пользователь может с помощью специально сформированной ссылки перенаправить другого пользователя на произвольный web-сайт.

9. Уязвимость существует из-за недостаточной обработки входных данных в параметре "calendar_id" в сценарии apps/calendar/ajax/events.php при осуществлении проверки владельца календаря. Удаленный пользователь может получить доступ к календарю другого пользователя.

Примечания: Для успешной эксплуатации уязвимости необходимо, чтобы приложение "calendar" было включено. Уязвимость обнаружена в версиях до 5.0.6 и 4.5.11.

10. Уязвимость существует из-за того, что приложение неправильно проверяет права доступа. Удаленный пользователь может выполнить произвольные API-команды от имени администратора.

11. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и выполнить произвольные API-команды.

12. Уязвимость существует из-за того, что приложение неправильно проверяет загруженные файлы. Удаленный пользователь может путем загрузки специально сформированного файла выполнить произвольный PHP-код на целевой системе.

Примечание: Уязвимости #1, #3, #6, #8, а также с #10 по #12 были обнаружены в версиях до 5.0.6.

URL производителя: http://owncloud.org/

Решение: Установите последнюю версию 4.0.15, 4.5.11 или 5.0.6 с сайта производителя.

Ссылки: http://owncloud.org/about/security/advisories/oC-SA-2013-019/
http://owncloud.org/about/security/advisories/oC-SA-2013-020/
http://owncloud.org/about/security/advisories/oC-SA-2013-021/
http://owncloud.org/about/security/advisories/oC-SA-2013-022/
http://owncloud.org/about/security/advisories/oC-SA-2013-024/
http://owncloud.org/about/security/advisories/oC-SA-2013-025/
http://owncloud.org/about/security/advisories/oC-SA-2013-026/

или введите имя

CAPTCHA